View Issue Details

IDProjectCategoryView StatusLast Update
0001616Slicer4Core: Packagingpublic2014-03-06 06:09
ReporterfedorovAssigned Tojcfr 
PriorityhighSeverityblockReproducibilityalways
Status closedResolutionfixed 
Product VersionSlicer 4.0.0 
Target VersionSlicer 4.1.0Fixed in VersionSlicer 4.2.0 
Summary0001616: Cannot use Linux package
Description

I am trying to use the stable release of Slicer4 on SPL systems. I
added symlinks to the libssl/libcrypto, as described here:
http://wiki.slicer.org/slicerWiki/index.php/Documentation/4.0/ReleaseNotes#Fedora_13_.28SPL_systems.29

When I try to start Slicer, I have the assertion failure and it does not start:

/d/scratchbuild/fedorov/Slicer-4.0.0-linux-amd64/Slicer
/d/scratchbuild/fedorov/Slicer-4.0.0-linux-amd64/./bin/SlicerQT-real:
/home/fedorov/local/libcrypto.so.0.9.8: no version information
available (required by
/d/scratchbuild/fedorov/Slicer-4.0.0-linux-amd64/./lib/Slicer-4.0/libarchive.so.8)
Can't find SlicerVersion.txt at address:
"/home/fedorov/projhome/software/slicer2/SlicerVersion.txt"
RegisterIO "qSlicerFiducialsIO"
Number of registered modules: 2
ASSERT: "QFileInfo(scriptedDisplayableManagerDirectory).isDir()" in
file /home/kitware/Dashboards/Experimental/Slicer4/Base/QTGUI/qSlicerLayoutManager.cxx,
line 136
error: [/d/scratchbuild/fedorov/Slicer-4.0.0-linux-amd64/./bin/SlicerQT-real]
exit abnormally - Report the problem.

At this point, I reproduced this problem on a separate workstation with a different Linux distro (Ubuntu 10.04). Btw, this system did not have issues with libssl/libcrypto, no symlinks were needed.

Here's the error message I am getting. Looks like a packaging issue?

[andrey@beat Downloads] ./Slicer-4.0.0-linux-amd64/Slicer
ITK_AUTOLOAD_PATH doesn't exists: ""
Can't find SlicerVersion.txt at address: "/home/andrey/Slicer/NoQt/Slicer3-build/SlicerVersion.txt"
RegisterIO "qSlicerFiducialsIO"
Number of registered modules: 2
ASSERT: "QFileInfo(scriptedDisplayableManagerDirectory).isDir()" in file /home/kitware/Dashboards/Experimental/Slicer4/Base/QTGUI/qSlicerLayoutManager.cxx, line 136
error: [/home/andrey/Downloads/Slicer-4.0.0-linux-amd64/./bin/SlicerQT-real] exit abnormally - Report the problem.

Additional Information

Linux beat 2.6.32-33-generic 0000072-Ubuntu SMP Fri Jul 29 21:07:13 UTC 2011 x86_64 GNU/Linux

TagsNo tags attached.

Activities

jcfr

jcfr

2011-12-07 12:06

administrator   ~0003425

That part of the error message seems strange:

Can't find SlicerVersion.txt at address: "/home/andrey/Slicer/NoQt/Slicer3-build/SlicerVersion.txt"

Do you have the Slicer_HOME variable already set ?

jcfr

jcfr

2011-12-07 12:07

administrator   ~0003426

Could you manage to run "./Slicer --home"

fedorov

fedorov

2011-12-07 18:23

developer   ~0003427

Good point -- I most likely do have Slicer_HOME set. I didn't know this would cause a problem. As you see, in the fist case it points to a Slicer2 installation, and I was able to run Slicer3 on that same machine.

I will test your idea tomorrow when I get back to the office.

fedorov

fedorov

2011-12-08 04:40

developer   ~0003428

JC, indeed the problem was in Slicer_HOME being set.

Should we add this item to the release notes?

fedorov

fedorov

2011-12-08 06:56

developer   ~0003430

added to the release notes http://wiki.slicer.org/slicerWiki/index.php/Documentation/4.0/ReleaseNotes

Note that this behavior is not consistent with Slicer3. Maybe launcher should ignore Slicer_HOME if it is set?

fedorov

fedorov

2012-01-19 17:56

developer   ~0003511

Fixed around the 4.0.1 release time

Issue History

Date Modified Username Field Change
2011-12-07 12:00 fedorov New Issue
2011-12-07 12:00 fedorov Status new => assigned
2011-12-07 12:00 fedorov Assigned To => jcfr
2011-12-07 12:06 jcfr Note Added: 0003425
2011-12-07 12:07 jcfr Note Added: 0003426
2011-12-07 18:23 fedorov Note Added: 0003427
2011-12-08 04:40 fedorov Note Added: 0003428
2011-12-08 06:56 fedorov Note Added: 0003430
2012-01-19 17:56 fedorov Note Added: 0003511
2012-01-19 17:56 fedorov Status assigned => closed
2012-01-19 17:56 fedorov Resolution open => fixed
2012-08-21 09:55 jcfr Target Version => Slicer 4.1.0
2014-03-06 06:09 jcfr Fixed in Version => Slicer 4.2.0